%define	name		anjuta
%define	version		1.0.0
%define	release		1
%define	serial		1
%define	prefix		/usr

Summary:	GNOME IDE for C and C++
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL2
Group:		Development/Tools
URL:		http://anjuta.sourceforge.net/
Vendor:		Naba Kumar <kh_naba@users.sourceforge.net>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Docdir:		%{_docdir}
Requires:	glib >= 1.2.8, gtk+ >= 1.2.8, gnome-libs >= 1.2.8, scrollkeeper >= 0.1.4, libxml >= 1.4.0, libxml < 2.0.0, ORBit >= 0.5.0, gnome-print >= 0.35, gdk-pixbuf
BuildRequires:	glib-devel >= 1.2.8, gtk+-devel >= 1.2.8, gnome-libs >= 1.2.8, scrollkeeper >= 0.1.4, libxml >= 1.4.0, libxml < 2.0.0, libxml-devel, ORBit >= 0.5.0, ORBit-devel, gnome-print-devel >= 0.35, gdk-pixbuf-devel

Distribution:	Any
Packager:	Naba Kumar <kh_naba@users.sourceforge.net>

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

%package i18n
Summary: Translations
Group: Development/Tools

%description i18n
Translations of UI elements in various languages.

%package docs-en
Summary: Anjuta docuemntation in English.
Group: Development/Tools

%description docs-en
Anjuta documentation in English.

%package docs-ja
Summary: Anjuta docuemntation in Japanese.
Group: Development/Tools

%description docs-ja
Anjuta documentation in Japanese.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --enable-final

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update || :

%postun
scrollkeeper-update || :

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc doc/ScintillaDoc.html

%defattr(-,root,root)
%{prefix}/bin/anjuta
%{prefix}/bin/anjuta_launcher
%{prefix}/bin/anjuta_import.sh
%{prefix}/lib/anjuta
%{prefix}/share/gnome/apps/Development/anjuta.desktop
%{prefix}/share/anjuta
%{prefix}/share/pixmaps/anjuta
%{prefix}/share/omf/anjuta
%{prefix}/share/doc/anjuta

%files i18n
%defattr(-, root, root)

%{prefix}/share/locale/*/LC_MESSAGES/anjuta.mo

%files docs-en
%defattr(-, root, root)

%{prefix}/share/gnome/help/anjuta/C

%files docs-ja
%defattr(-, root, root)

%{prefix}/share/gnome/help/anjuta/ja
