/* nurbies.h -- nurbies visualization plugin for xmms 
   Written by Bryan Rittmeyer <bryanr@caltech.edu>
   Copyright (C) 1999,2000 Horizon Technologies
   http://horizon.pair.com/                          */


#ifndef _NURBIES_H
#define _NURBIES_H

/* Includes */
#include "config.h"
#include <X11/Xlib.h>
#include <X11/keysym.h>
#include <gtk/gtk.h>
#include <time.h>
#include "GL/glx.h"
#include "GL/glu.h"
#include "GL/gl.h"
#ifdef HAVE_XMESAFINDBUFFER
#include <GL/xmesa.h>
#endif
#include "pthread.h"
#ifdef HAVE_SCHED_SETSCHEDULER
#include "sched.h"
#endif
#include "xmms/plugin.h"
#include "xmms/xmmsctrl.h"
#include "xmms/configfile.h"
#include "xmms/util.h"
#include "plugcfg.h"

/* function prototypes */
static Window create_window(int width, int height);
void *draw_thread_func(void *arg);
static void start_display(void);
static void stop_display(void);
static gint disable_func(gpointer data);
void create_nurbies(void);
static void draw_nurbies(void);

/* Globals */
static GLfloat mat_red_diffuse[] = { 0.7f, 0.0f, 0.1f, 1.0f };
static GLfloat mat_green_diffuse[] = { 0.0f, 0.7f, 0.1f, 1.0f };
static GLfloat mat_blue_diffuse[] = { 0.0f, 0.1f, 0.7f, 1.0f };
static GLfloat mat_yellow_diffuse[] = { 0.7f, 0.8f, 0.1f, 1.0f };
static GLfloat mat_specular[] = { 1.0f, 1.0f, 1.0f, 1.0f };
static GLfloat mat_shininess[] = { 100.0f };
static GLfloat knots[8] = { 0.0f, 0.0f, 0.0f, 0.0f, 1.0f, 1.0f, 1.0f, 1.0f };
static GLfloat pts1[4][4][3], pts2[4][4][3], pts3[4][4][3], pts4[4][4][3];
static GLUnurbsObj *nurb;
static int u,v,col;
static int r,g,b;
static time_t seconds;
static GLfloat xrot=1.0f,yrot=0.0f;

PluginConfig plugin_cfg;

/* stolen from opengl_spectrum */
static Display *dpy = NULL;
static Colormap colormap = 0;
static GLXContext glxcontext = NULL;
static Window window = 0;
static gboolean going = FALSE, grabbed_pointer = FALSE;
static Atom wm_delete_window_atom;
static pthread_t draw_thread;

static GtkWidget *dialog, *button, *label;

#endif
